<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  August 13th 2006                                         //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2006 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	/* Check Structure Availability */
	if (!defined("CORE_STRAP")) die("Out of structure call");
	
	$tpl = new template;
	$tpl -> Load("write");	
	
	if (!isset($_SESSION["id"])) {
		$tpl->Zone("blogWriteBlock", "guest");
		$tpl->Zone("blogWriteHeader", "write");
		_fnc("reload", 5, "?L");
	}
	
	else {
	
		$tpl->Zone("blogWriteBlock", "enabled");
	
	
		if (isset($_POST["Submit"])) {
			if (isset($_POST["title"]) && $_POST["title"] != "" && isset($_POST["body"]) && $_POST["body"] != "") {
				myQ("
					INSERT INTO `[x]blogs`
					(`user`,`date`,`title`,`body`)
					VALUES
					('".me('id')."','".date("U")."','{$_POST["title"]}','{$_POST["body"]}')
				");
				
				$tpl->AssignArray(array("lastAddedID"=>mysql_insert_id()));
				
				$tpl->Zone("blogWriteHeader", "saved");
				
				
			} else $tpl->Zone("blogWriteHeader", "error");
			
		} else $tpl->Zone("blogWriteHeader", "write");

	}


	$tpl -> Flush();
	
?>